$LOAD_PATH.unshift(File.join(File.dirname(__FILE__), '..', 'lib'))
$LOAD_PATH.unshift(File.dirname(__FILE__))
require 'RMagick'

require 'facehugger'
require 'rspec'
require 'vcr'
require 'webmock/rspec'
require 'yaml'

# Requires supporting files with custom matchers and macros, etc,
# in ./support/ and its subdirectories.
Dir["#{File.dirname(__FILE__)}/support/**/*.rb"].each {|f| require f}

RSpec.configure do |config|
end

FACE_ACCOUNT = YAML.load open File.join File.dirname(__FILE__), "config", "face.yml"

VCR.configure do |config|
  config.cassette_library_dir = 'spec/fixtures/vcr'
  config.filter_sensitive_data('API_KEY') { FACE_ACCOUNT['api_key'] }
  config.filter_sensitive_data('API_SECRET') { FACE_ACCOUNT['api_secret'] }
  config.hook_into :webmock
end